org.apache.cassandra.db

## Interface OnDiskAtom

All Known Implementing Classes:
  Column, CounterColumn, CounterUpdateColumn, DeletedColumn, ExpiringColumn, RangeTombstone

    public interface OnDiskAtom

### Nested Class Summary

Nested Classes
`static class` `OnDiskAtom.Serializer`

### Method Summary

Methods
`int` `getLocalDeletionTime()`
`long` `maxTimestamp()`
`long` `minTimestamp()` For a standard column, this is the same as timestamp().
`java.nio.ByteBuffer` `name()`
`int` `serializedSize(TypeSizes typeSizes)`
`long` `serializedSizeForSSTable()`
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`

### Method Detail

#### name

    java.nio.ByteBuffer name()

#### minTimestamp

    long minTimestamp()

For a standard column, this is the same as timestamp(). For a super column, this is the min/max column timestamp of the sub columns.

#### maxTimestamp

    long maxTimestamp()

#### getLocalDeletionTime

    int getLocalDeletionTime()

#### serializedSize

    int serializedSize(TypeSizes typeSizes)

#### serializedSizeForSSTable

    long serializedSizeForSSTable()

#### validateFields

    void validateFields(CFMetaData metadata)
                        throws MarshalException

Throws:
  `MarshalException`

#### updateDigest

    void updateDigest(java.security.MessageDigest digest)